Bug 102197 - Disk WRITE fails with Fujitsu SCSI disks
Disk WRITE fails with Fujitsu SCSI disks
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-12 10:09 EDT by Winfrid Tschiedel
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-02 08:14:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Winfrid Tschiedel 2003-08-12 10:09:02 EDT
Description of problem:

IO programs fail with Fujitsu U320 SCSI disk MAP-Series, when 
Fujitsu U320 SCSI Disks have too low firmware level,
Adaptec controller AIC7902 is used
Adaptec driver has a version < 1.3.8 

As long as we had system which complies to above requirements, we did not
have any problems. Now one of our customers was using a kernel from
RHEL 3.0 beta 1 for i386, and we got in some cases incorrect write operations -
meaning that the return-code from write was not equal to the length of the 
written record. 

For the moment it would be enough if you could compare the source of your
aic79xx 1.3.10 with the actual source from Mr. Gibbs, which is available
on people.freebsd.org/~gibbs/linux, to check if you missed changes
done be Adaptec to fix the problem AIC79xx with Fujitsu SCSI disks


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info: please check also bug 102194
Comment 1 Tom Coughlan 2003-10-02 08:14:24 EDT

------- Additional Comments From Winfrid.Tschiedel@hpc.fujitsu-siemens.com 
2003-10-01 02:38 -------
Hello Tom,

Many thanks, the problem did not occur with newer kernels, so you can close
this bug.

Winfrid

PS.: You should keep also an eye on bug 102194, we are have still a bad 
     READ performance with the Enterprise Kernel ( 2.4.21-3EL ) compared
     to e.g. 2.4.20-19.9.smp 


Note You need to log in before you can comment on or make changes to this bug.